@import url(bootstrap-5.0.0-beta2-dist/css/bootstrap-grid.min.css);
@import url(mdi/css/materialdesignicons.min.css);

html:root {
    --primary-color: #fff;
    --secondary-color: #7943dd;
    --fourth-color: #fff;
    --dashboard-body: #f7f7f7;
    --tertiary-color: #ffffff;
    --primary-text-color: #2d333a;
    --secondary-text-color: silver;
    --border-color: #E2E2E2;
}

html.dark:root {
    --primary-color: #0f0f0f;
    --secondary-color: #7943dd;
    --tertiary-color: #131313;
    --fourth-color: #202020;
    --dashboard-body: #131313;
    --primary-text-color: #fff;
    --secondary-text-color: silver;
    --border-color: #3d3d3d;
}

* {
    scrollbar-width: thin;
}

html {
    scroll-behavior: smooth;
}

@font-face {
    font-family: 'Poppins';
    src: url(../fontes/Poppins/Poppins-Regular.ttf);
    font-weight: 400;
}

@font-face {
    font-family: 'Poppins';
    src: url(../fontes/Poppins/Poppins-SemiBold.ttf);
    font-weight: 700;
}

@font-face {
    font-family: 'Poppins';
    src: url(../fontes/Poppins/Poppins-Bold.ttf);
    font-weight: 900;
}

body {
    background-color: var(--dashboard-body);
    color: var(--primary-text-color);
    overflow-x: hidden;
}

* {
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
    font-family: 'Poppins';
    border: none;
    text-decoration: none;
    list-style: none;
}

a {
    color: var(--secondary-color);
}

/* BOTÕES */

.btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: max-content;
    text-align: center;
    margin: 3px 0px;
    padding: 15px 40px;
    background-color: var(--primary-color) !important;
    color: #FFF !important;
    text-decoration: none;
    transition: .5s;
    -webkit-transition: .5s;
    -moz-transition: .5s;
    -ms-transition: .5s;
    -o-transition: .5s;
    cursor: pointer;
    border: none;
    font-size: 16px;
    border-radius: 5px;
}

.btn span {
    margin-left: 7px;
}

.btn.center {
    margin: auto !important;
}

.btn-expand {
    transition-property: transform;
    transition-duration: .5s;
}

.btn-expand:hover {
    box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, .1);
    transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -ms-transform: scale(1.1);
    -o-transform: scale(1.1);
}

/* BTN PRIMARY */
.btn-primary {
    max-width: 300px;
    width: 100%;
    margin: 0 auto 0;
    display: block;
    padding: 14px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    border-radius: 10px;
    cursor: pointer;
}

.btn-primary span {
    margin-left: 7px;
    padding-right: 7px;
}

.btn-primary i {
    margin: 0 !important;
}

.btn-primary:disabled {
    background-color: #917d99;
}

.btn-primary {
    background-color: var(--secondary-color) !important;
    color: white;
}

.btn-primary:hover {
    background-color: #581cc9 !important;
}

.btn-border-primary {
    color: #8e44ad !important;
    border: 2px solid #8e44ad !important;
    background-color: transparent !important;
}

.btn-border-primary:hover {
    background-color: #8e44ad !important;
    color: #FFF !important;
}

/* BTN DEFAULT */

.btn:hover {
    background-color: #7f8c8d !important;
}

.btn:active {
    transform: scale(0.9);
    -webkit-transform: scale(0.9);
    -moz-transform: scale(1.1);
    -ms-transform: scale(0.9);
    -o-transform: scale(0.9);
}

.btn:disabled:active {
    transform: none;
    -webkit-transform: none;
    -moz-transform: none;
    -ms-transform: none;
    -o-transform: none;
}

.btn:disabled {
    color: rgb(145, 145, 145);
}

.btn-rounded {
    border-radius: 30px;
    -webkit-border-radius: 30px;
    -moz-border-radius: 30px;
    -ms-border-radius: 30px;
    -o-border-radius: 30px;
}

.btn-border {
    border: 2px solid var(--primary-color) !important;
    color: var(--primary-color) !important;
    background-color: transparent !important;
}

.btn-border:hover {
    color: #FFF !important;
    background-color: var(--primary-color) !important;
}

.btn_select_img {
    border: 2px dashed transparent;
    width: 90px;
    height: 90px;
    position: relative;
    border-radius: 5px;
    transition: 400ms;
    background-color: transparent;
}

.btn_select_img::before {
    content: '';
    background-color: white;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border-radius: 5px;
    color: #00aeff;
    font-size: 20px;
    text-decoration: underline;
    opacity: 0;
    z-index: 1;
    transition: 400ms;
}

.btn_select_img:hover:before {
    opacity: .7;
}

.btn_select_img:hover {
    border-color: #00aeff;
    cursor: pointer;
}

.btn_select_img img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    left: 0;
    border-radius: 5px;
    top: 0;
}

/* BTN MONO */

.btn-mono {
    background-color: #FFF !important;
    color: var(--primary-color) !important;
}

.btn-mono:hover {
    background-color: #FFF !important;
}

.btn-border-mono {
    color: #FFF !important;
    border: 2px solid #FFF !important;
    background-color: transparent !important;
}

.btn-border-mono:hover {
    background-color: #FFF !important;
    color: var(--primary-color) !important;
}

/* BTN GREEN */

.btn-green {
    background-color: #27ae60 !important;
    color: white;
}

.btn-green:hover {
    background-color: #2ecc71 !important;
}

.btn-border-green {
    color: #27ae60 !important;
    border: 2px solid #27ae60 !important;
    background-color: transparent !important;
}

.btn-border-green:hover {
    background-color: #27ae60 !important;
    color: #FFF !important;
}

/* BTN RED */

.btn-red {
    background-color: #c0392b !important;
}

.btn-red:hover {
    background-color: #e74c3c !important;
}

.btn-border-red {
    color: #c0392b !important;
    border: 2px solid #c0392b !important;
    background-color: transparent !important;
}

.btn-border-red:hover {
    background-color: #c0392b !important;
    color: #FFF !important;
}

/* BTN BLUE */

.btn-blue {
    background-color: #0060a0 !important;
}

.btn-blue:hover {
    background-color: #3498db !important;
}

.btn-border-blue {
    color: var(--primary-color) !important;
    border: 2px solid var(--primary-color) !important;
    background-color: transparent !important;
}

.btn-border-blue:hover {
    background-color: var(--primary-color) !important;
    color: #FFF !important;
}

/* BTN PURPLE */

.btn-purple {
    background-color: #8e44ad !important;
}

.btn-purple:hover {
    background-color: #9b59b6 !important;
}

.btn-border-purple {
    color: #8e44ad !important;
    border: 2px solid #8e44ad !important;
    background-color: transparent !important;
}

.btn-border-purple:hover {
    background-color: #8e44ad !important;
    color: #FFF !important;
}

/* BTN YELLOW */

.btn-yellow {
    color: #000 !important;
    background-color: #edbd00 !important;
}

.btn-yellow:hover {
    background-color: #f2b900 !important;
}

.btn-border-yellow {
    color: #edbd00 !important;
    border: 2px solid #edbd00 !important;
    background-color: transparent !important;
}

.btn-border-yellow:hover {
    background-color: #edbd00 !important;
    color: #000 !important;
}

.aniright {
    padding-left: 7px;
    position: absolute;
    transition: 400ms;
}

.icon-loading {
    width: 20px;
    border: 2px solid white;
    height: 20px;
    border-radius: 100px;
    border-top-color: transparent;
    animation: loader 800ms linear infinite;
    display: inline-block;
    margin: 0;
}

button:hover .aniright {
    padding-left: 16px;
}

.btn-shine {
    cursor: pointer;
    position: relative;
    transition: 400ms;
    width: 260px;
    overflow: hidden;
}

.btn-shine::before {
    content: '';
    position: absolute;
    top: 0;
    left: -270px;
    width: 100%;
    height: 100%;
    background: linear-gradient(to left, rgba(255, 255, 255, .4), transparent);
    background: -webkit-linear-gradient(to left, rgba(255, 255, 255, .4), transparent);
    background: -o-linear-gradient(to left, rgba(255, 255, 255, .4), transparent);
    background: -moz-linear-gradient(to left, rgba(255, 255, 255, .4), transparent);
    transform: skew(-20deg);
}

.btn-shine:hover:before {
    animation: effect 400ms ease-in-out;
}


@media (max-width:676px) {
    .btn-primary {
        font-size: 16px;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes loader {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

@keyframes slideLeft {
    from {
        position: absolute;
        left: -200px;
    }

    to {
        position: absolute;
        left: 0;
    }
}

@keyframes slideTop {
    from {
        margin-top: -30px;
        opacity: 0;
    }

    to {
        margin-top: 0;
        opacity: 1;
    }
}